#include "guess.h"
#include <bits/stdc++.h>

int find_number(int MAX) {
    int st = 1, dr = MAX, ans = 0;
    while(st <= dr) {
        int mij = (st + dr) / 2;
        if(smaller(mij)) {
            st = mij + 1;
        }
        else {
            ans = mij;
            dr = mij - 1;
        }
    }
    return ans;
}